# IAlgebraLimitVirtualPool

## Functions

### desiredEndTimestamp

`function desiredEndTimestamp() external view returns (uint32)` view external

**Returns:**

| Name | Type   | Description |
| ---- | ------ | ----------- |
| \[0] | uint32 |             |

### desiredStartTimestamp

`function desiredStartTimestamp() external view returns (uint32)` view external

**Returns:**

| Name | Type   | Description |
| ---- | ------ | ----------- |
| \[0] | uint32 |             |

### isFinished

`function isFinished() external view returns (bool)` view external

**Returns:**

| Name | Type | Description |
| ---- | ---- | ----------- |
| \[0] | bool |             |

### finish

`function finish() external returns (bool wasFinished, uint32 activeTime)` external

Finishes incentive if it wasn't *Developer note: This function is called by a AlgebraLimitFarming when someone calls #exitFarming() after the end timestamp*

**Returns:**

| Name        | Type   | Description                                           |
| ----------- | ------ | ----------------------------------------------------- |
| wasFinished | bool   | Was incentive finished before this call or not        |
| activeTime  | uint32 | The summary amount of seconds inside active positions |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9/v1.9-tokenomics/ialgebralimitvirtualpool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
